All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::backend::cpu_ram::detail::array_deleter< U > Struct Template Reference

Helper struct for deleting an pointer to an array. More...

`#include <cpu_ram.hpp>`

## Public Member Functions

void | operator() (U *p) const

## Detailed Description

### template<class U>
struct viennacl::backend::cpu_ram::detail::array_deleter< U >

Helper struct for deleting an pointer to an array.

Definition at line 56 of file cpu_ram.hpp.

## Member Function Documentation

template<class U >

void viennacl::backend::cpu_ram::detail::array_deleter< U >::operator() | ( | U * | p | ) | const

inline

Definition at line 61 of file cpu_ram.hpp.

The documentation for this struct was generated from the following file:

- viennacl/backend/cpu_ram.hpp